"""empty message

Revision ID: 7a6b748327eb
Revises: 67098d86dd63
Create Date: 2021-11-12 15:59:16.928424

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
from sqlalchemy.dialects import postgresql

revision = "7a6b748327eb"
down_revision = "67098d86dd63"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    render_status = postgresql.ENUM(
        "NOT_STARTED", "RENDERING", "COMPLETED", "FAILED", name="renderstatus"
    )
    render_status.create(op.get_bind())
    op.add_column(
        "project",
        sa.Column(
            "render_status",
            sa.Enum(
                "NOT_STARTED",
                "RENDERING",
                "COMPLETED",
                "FAILED",
                name="renderstatus",
            ),
            server_default="NOT_STARTED",
            nullable=False,
        ),
    )
    op.drop_column("project", "is_rendering")
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        "project",
        sa.Column(
            "is_rendering",
            sa.BOOLEAN(),
            server_default=sa.text("false"),
            autoincrement=False,
            nullable=True,
        ),
    )
    op.drop_column("project", "render_status")
    render_status = postgresql.ENUM(
        "NOT_STARTED", "RENDERING", "COMPLETED", "FAILED", name="renderstatus"
    )
    render_status.drop(op.get_bind())
    # ### end Alembic commands ###
